• i

    ivano

    1 year ago
    There was a library to convert swift ui to compose but is not updated anymore. How is that possible if we could convert swift ui then kotlin would eat flutter for breakfast
    i
    c
    2 replies
    Copy to Clipboard
  • r

    Robert

    1 year ago
    Any clue how to fix this in intellij 2021.2?
    This version of the Android Support plugin for IntelliJ IDEA (or Android Studio) cannot open this project, please retry with version 2020.3.1 or newer.
    r
    Javier
    +2
    9 replies
    Copy to Clipboard
  • a

    avinash sai pavan munnangi

    1 year ago
    Hi all, Im new to KMM and Im trying to hit the api and get the data using coroutines. it is working fine in android facing issues in ios . can anyone help me
    a
    Yaniv Sosnovsky
    +1
    4 replies
    Copy to Clipboard
  • Rohan Maity

    Rohan Maity

    1 year ago
    Hello, I am working on Multiplatform project targeting
    android, iOS and Web
    For the web app somehow my generated JS file is getting blocked
    The resource was blocked due to MIME type ("text/html") mismatch (X-Content-Type-Options: nosniff).
    I have just done the simple
    Hello world
    only, Its working on android and iOS has anyone encountered the same issue ? Any help here would be appreciated More info in replies
    Rohan Maity
    c
    6 replies
    Copy to Clipboard
  • r

    robjperez

    11 months ago
    Hey there!, I’m having some trouble when using a cocoapods dep in the ios build, It was working well and now I’m suspecting that xcode new version has messed up something. I’m getting
    Exception in thread "main" java.lang.Error: /var/folders/0d/4r7ddycs7msfghjht2w29hdw0000gq/T/12354154991012977801.m:1:9: fatal error: could not build module 'Foo'
            at org.jetbrains.kotlin.native.interop.indexer.UtilsKt.ensureNoCompileErrors(Utils.kt:192)
            at org.jetbrains.kotlin.native.interop.indexer.ModuleSupportKt.getModulesASTFiles(ModuleSupport.kt:68)
            at org.jetbrains.kotlin.native.interop.indexer.ModuleSupportKt.getModulesInfo(ModuleSupport.kt:14)
            at org.jetbrains.kotlin.native.interop.gen.jvm.MainKt.buildNativeLibrary(main.kt:531)
            at org.jetbrains.kotlin.native.interop.gen.jvm.MainKt.processCLib(main.kt:268)
            at org.jetbrains.kotlin.native.interop.gen.jvm.MainKt.interop(main.kt:76)
            at org.jetbrains.kotlin.cli.utilities.InteropCompilerKt.invokeInterop(InteropCompiler.kt:45)
            at org.jetbrains.kotlin.cli.utilities.MainKt.mainImpl(main.kt:38)
            at org.jetbrains.kotlin.cli.utilities.MainKt.main(main.kt:60)
    in the interop task
    :sdk:cinteropFooIosArm64
    It is very hard to get any clue with that error 😞
    r
    Viacheslav Kormushkin
    +1
    5 replies
    Copy to Clipboard
  • t

    Tarika Chawla

    11 months ago
    Hi all, Anyone has any experience integrating a KMM in a Development Pod in iOS instead of the project itself? I was able to import the KMM in the development pod by adding it through podspec file but hitting a roadblock when I call those functions.
    t
    louiscad
    20 replies
    Copy to Clipboard
  • j

    jimmyt

    11 months ago
    I'm working on a KMM project targeting iOS and Android, and occasionally when I try to edit the KMM module's build.gradle.kts file, the entire thing lights up with "Unresolved reference" errors. At the time of my last commit, the project had no errors. Now, even though build.gradle.kts is completely unchanged from my last commit, it has 48 "Unresolved reference" errors, most of which are on basic keywords like "implementation" and "sourceSets". Any idea what could be causing this?
    j
    Francis Mariano
    +5
    10 replies
    Copy to Clipboard
  • m

    MarkRS

    11 months ago
    Suddenly all over my code I'm getting red lines complaining "The feature 'multi platform project' is experimental and should be enabled explicitly", even directly underneath the annotation @ExperimentalMultiplatform. I've now added the compiler option -Xmulti-platform (via gradle, I use AS), but I still get the red lines. Despite this the app builds and runs, although it crashes immediately, perhaps with a related error but I'm still tracking that down.
    m
    louiscad
    +1
    7 replies
    Copy to Clipboard
  • xxfast

    xxfast

    11 months ago
    Are there any plans for a multi-platform project view support for Project explorer in Android Studio?
    xxfast
    d
    +1
    6 replies
    Copy to Clipboard
  • Jim

    Jim

    11 months ago
    Are there docs on how to target a MPP build to only use an internal npm repo like artifactory?
    Jim
    4 replies
    Copy to Clipboard